### Function

# GObject type_depth

since: 2.0

#### Declaration

    guint
    g_type_depth (
      GType type
    )

#### Description

Returns the length of the ancestry of the passed in type. This includes the type itself, so that e.g. a fundamental type has depth 1.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  A `GType`.

#### Return value

Type: `guint`

The depth of `type`.